﻿@model BusinessObject.User

@{
    ViewBag.Title = "Create";
}
<div style="font-family:Arial">
    <h2>@BusinessObject.Class1.getTranslated("Create")</h2>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

    <fieldset>
        <legend>@BusinessObject.Class1.getTranslated("NewUser")</legend>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Username")
            @*@Html.LabelFor(model => model.Username)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Username)
            @Html.ValidationMessage("Username", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Password")
            @*@Html.LabelFor(model => model.Password)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Password)
            @Html.ValidationMessage("Password", "", new { @class = "text-danger" })

        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Email")

            @*@Html.LabelFor(model => model.Email)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Email)
            @Html.ValidationMessage("Email", "", new { @class = "text-danger" })

        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordQuestion")

            @*@Html.LabelFor(model => model.PasswordQuestion)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordQuestion)
            @Html.ValidationMessage("PasswordQuestion", "", new { @class = "text-danger" })
        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordAnswer")

            @*@Html.LabelFor(model => model.PasswordAnswer)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordAnswer)
            @Html.ValidationMessage("PasswordAnswer", "", new { @class = "text-danger" })

        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Role")

            @*@Html.LabelFor(model => model.RoleId)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("RoleId", new List<SelectListItem> {
                    new SelectListItem{Text="Admin", Value = "1"},
                    new SelectListItem{Text="Super User", Value = "2"} })
            @Html.ValidationMessage("RoleId", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Language")

            @*@Html.LabelFor(model => model.Language)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("Language", new List<SelectListItem> {
                    new SelectListItem{Text="Arabic", Value = "ar_AE"},
                    new SelectListItem{Text="English", Value = "en_US"} })
            @Html.ValidationMessageFor(model => model.Language)
        </div>


        <p>
            <input type="submit" value= @BusinessObject.Class1.getTranslated("Create") />
        </p>
    </fieldset>
    }

    <div>
        @Html.ActionLink(@BusinessObject.Class1.getTranslated("BackToList"), "Index")
    </div>
</div>